org.apache.flume

## Interface NamedComponent

- All Known Subinterfaces:
    Channel, ChannelSelector, EventDrivenSource, PollableSource, Sink, Source
  All Known Implementing Classes:
    AbstractChannel, AbstractChannelSelector, AbstractEventDrivenSource, AbstractPollableSource, AbstractRpcSink, AbstractSink, AbstractSource, AsyncHBaseSink, AvroLegacySource, AvroSink, AvroSource, BasicChannelSemantics, BasicSourceSemantics, DatasetSink, ElasticSearchSink, EmbeddedSource, ExecSource, FileChannel, HBaseSink, HDFSEventSink, HiveSink, HTTPSource, IRCSink, JdbcChannel, JMSSource, KafkaChannel, KafkaSink, KafkaSource, LoggerSink, MemoryChannel, MorphlineSink, MorphlineSolrSink, MultiplexingChannelSelector, MultiportSyslogTCPSource, NetcatSource, NullSink, PseudoTxnMemoryChannel, ReplicatingChannelSelector, RollingFileSink, ScribeSource, SequenceGeneratorSource, SpillableMemoryChannel, SpoolDirectorySource, StressSource, SyslogTcpSource, SyslogUDPSource, TaildirSource, ThriftLegacySource, ThriftSink, ThriftSource, TwitterSource

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public interface NamedComponent

  Enables a component to be tagged with a name so that it can be referred to uniquely within the configuration system.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `void` | `setName(String name)`

- - ### Method Detail

    - #### setName

          void setName(String name)

    - #### getName

          String getName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.